      program test_sigma
      implicit none
      include 'formats.inc'
      integer Nk_mx
      parameter(Nk_mx=250000)
      integer ik,Nk,i
      double precision k_co2(1:Nk_mx,1:3)
      double precision k_h2o(1:Nk_mx,1:3)
      double precision k_co2_h2o(1:Nk_mx,1:3)
      double precision Na,P,T,R,x_co2,x_h2o
      double precision rho_co2,rho_h2o,rho_av

      Na=6.02214179D+23 ! molec/mol
      P=1.0D+0 ! atm
      T=294.0D+0 ! K
      x_co2=287.0D-6 ! ppmv (mol/mol)
      x_h2o=2.25368889D-2 ! mol/mol
      R=22.4D-3/273.15D+0
      rho_co2=Na*P*x_co2/(R*T)*1.0D-4 ! molec/cm^3
      rho_h2o=Na*P*x_h2o/(R*T)*1.0D-4 ! molec/cm^3

      Nk=241921

      write(*,*) 'Reading spectra...'
      open(11,file='./k001_CO2')
      open(12,file='./k001_H2O')
      open(13,file='./k001_CO2_H2O')
      do ik=1,14
         read(11,*)
         read(12,*)
      enddo ! ik
      do ik=1,19
         read(13,*)
      enddo ! ik
      do ik=1,Nk
         read(11,52) (k_co2(ik,i),i=1,3)
         read(12,52) (k_h2o(ik,i),i=1,3)
         read(13,52) (k_co2_h2o(ik,i),i=1,3)
      enddo ! ik
      close(11)
      close(12)
      close(13)

      write(*,*) 'Computing...'

      open(10,file='./k001_test')
      write(10,10) 'nu / sigma*rho / k'
      do ik=1,Nk
         write(10,*) k_h2o(ik,1)
     &        ,(k_co2(ik,2)+k_h2o(ik,2))*1.0D+25
     &        ,k_co2_h2o(ik,2)*1.0D+25
c     &        ,(k_co2(ik,2)*rho_co2+k_h2o(ik,2)*rho_h2o)
c     &        ,k_co2_h2o(ik,3)
      enddo ! ik
      close(10)

      write(*,*) 'done'

      end
