c     Copyright (C)
c     2008-2013 Universit Paul Sabatier
c     2008-2013 Centre National de la Recherche Scientifique
c     2008-2013 Ecole des Mines d'Albi
c     2008-2013 Universit de Bordeaux 1
c     2008-2013 Fondation STAE
c     2014-2018 Meso-Star
c     
c     This file must be used under the terms of the CeCILL license.
c     This source file is licensed as described in the file COPYING, which
c     you should have received as part of this distribution.  The terms
c     are also available at
c     http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
c     
      subroutine TIPS(index,T,isotope,g,Q)
      implicit none
      include 'max.inc'
c
c     Purpose: to provide a front-end routine for calling adapted TIPS calculation modules
c
c     Input:
c       + index: molecule index (from HITRAN-2012) [integer]
c       + T: temperature (K) [double]
c       + isotope: isotopologue index (from HITRAN-2012) [integer]
c       + g: state independent degeneracy factor [integer]
c
c     Output:
c       + Q: total internal partition sum [double]
c
c     I/O
      integer index
      double precision T
      integer isotope
      integer g
      double precision Q
c     label
      integer strlen
      character*(Nchar_mx) label
      label='subroutine TIPS'

c     leave the following line uncommented for using the 2003 TIPS computation
c      call BD_TIPS_2003(index,T,isotope,dble(g),Q)
c     The "BD_TIPS_2003.for" file must be listed in the Makefile

c     leave the following line uncommented for using the 2011 TIPS computation
      call BD_TIPS_2011(index,T,isotope,dble(g),Q)
c     The "BD_TIPS_2011_v1p0.for" file must be listed in the Makefile

      return
      end
